CREATE TABLE bm_conversion_logic (
    ID                       NUMBER(18, 0) ,
    CONV_CLASS_ID            NUMBER(18, 0)     NOT NULL,
    IN_UNIT_ID               NUMBER(18, 0)     NOT NULL,
    OUT_UNIT_ID              NUMBER(18, 0)     NOT NULL,
    CO                       NUMBER(36, 18)    NOT NULL,
    C                        NUMBER(36, 18)    NOT NULL,
    DATE_ADDED               DATE          ,
    DATE_MODIFIED            DATE          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    ID                       NUMBER(18, 0) ,
    CONV_CLASS_ID            NUMBER(18, 0)     NOT NULL,
    IN_UNIT_ID               NUMBER(18, 0)     NOT NULL,
    OUT_UNIT_ID              NUMBER(18, 0)     NOT NULL,
    CO                       NUMBER(36, 18)    NOT NULL,
    C                        NUMBER(36, 18)    NOT NULL,
    DATE_ADDED               DATE          ,
    DATE_MODIFIED            DATE          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_bm_conversion_logic PRIMARY KEY (ID, ID)
);
